import moment from "moment";
import { defineStore } from "pinia";
export const useUserStore = defineStore("user", {
  state: () => {
    return {
      isConnected: false, //连接状态
      messages: [],
      customerInfo: {},
      count: 0,
      userInfo: {
        username: "admin",
        password:"",
        token:""
      },
      userList: [],
    };
  },
  actions: {
    setCount(num: number) {
      this.count = num;
    },
    setCustomerInfo(res: any) {
      this.customerInfo = res;
    },
    setUserInfo(res: any) {
      this.userInfo = res;
    },
    setUserList(res: any) {
      this.userList = res;
    },
    setUserListMessages(res: any) {
      console.log(res)
      const userList: any = this.userList || [];
      // res.from = res.from.replace('游客','')
      const obj = {
        ...res,
        isSent: false,
        userImg:
          "https://cdn.lirimall.com//lirigo/filetempImage/新鲜水果_1661668973048.png",
        time: moment(res.createTime).format("YYYY-DD-MM HH:mm:ss"),
      };
      
      const info = {
        userId: res.id,
        username: res.from,
        messages: [obj],
        userImg: obj.userImg,
      };
      if (
        userList.length > 0 &&
        userList.some((item: any) => item.username == res.from)
      ) {
        userList.forEach((item: any) => {
          if (item.username == res.from) item.messages.push(obj);
        });
      } else {
        userList.push(info);
      }
      this.userList = userList;
    },
    setusernameMessage(res: any) {
      const friends = res.friends;
      for (const key in friends) {
        const chatDatas = friends[key];
        chatDatas.forEach((item: any) => {
          item.userImg =
            "https://cdn.lirimall.com//lirigo/filetempImage/新鲜水果_1661668973048.png";
          item.time = moment(res.createTime).format("YYYY-DD-MM HH:mm:ss");
        });
        for (const index in chatDatas) {
          const userId = chatDatas[index].from;
          this.userList.forEach((item: any) => {
            if (item && item?.username == userId) {
              item.messages = chatDatas;
            }
          });
        }
      }
    },
    connect() {
      // 连接成功后，将 isConnected 状态设置为 true
      this.isConnected = true;
    },
    disconnect() {
      // 断开连接或退出登录时，将 isConnected 状态设置为 false
      this.isConnected = false;
    },
  },
  persist: true,
});
